Name:		detox
Version:	1.2.0
Release:	12%{?dist}
Summary:	Utility to replace problematic characters in file names

Group:		Applications/File
License:	BSD
URL:		http://detox.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		detox-format-security.patch
BuildRequires:	flex flex-static

%description
Detox is a utility designed to clean up file names. It replaces difficult to
work with characters, such as spaces, with standard equivalents. It will also
clean up file names with UTF-8 or Latin-1 (or CP-1252) characters in them.

%prep
%setup -q
%patch0 -p0


%build
%configure
make %{?_smp_mflags}


%install
make install INSTALL='install -p' DESTDIR=%{buildroot}
rm %{buildroot}/etc/detoxrc.sample


%files
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_bindir}/inline-%{name}
%{_datadir}/%{name}
%doc CHANGES LICENSE README
%{_mandir}/man5/detox*
%{_mandir}/man1/detox*


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.0-10
- Fix rhbz #1037034 (format-security-patch), spec cleanup

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 12 2010 Sven Lankes <sven@lank.es> - 1.2.0-4
- Really fix FTBFS

* Thu Dec 09 2010 Sven Lankes <sven@lank.es> - 1.2.0-3
- Fix FTBFS (rhbz #661090)

* Tue Mar 16 2010 Sven Lankes <sven@lank.es> - 1.2.0-2
- Review fixes

* Sun Feb 28 2010 Sven Lankes <sven@lank.es> - 1.2.0-1
- Initial package
